Updates the user_skill_list object with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

user_skill_list
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
user_id

Foreign key to user

globally unique identifier

Optionally required : user_id, user_code or user must be provided

user_code

Embedded entity "user" using ERP PK when adding/updating user_skill_list

string

Optionally required : user_id, user_code or user must be provided

user

Embedded entity "user" using node when adding/updating user_skill_list

user

Optionally required : user_id, user_code or user must be provided

skill_id

Foreign key to skill

globally unique identifier

Optionally required : skill_id, skill_code or skill must be provided

skill_code

Embedded entity "skill" using ERP PK when adding/updating user_skill_list

string

Optionally required : skill_id, skill_code or skill must be provided

skill

Embedded entity "skill" using node when adding/updating user_skill_list

skill

Optionally required : skill_id, skill_code or skill must be provided

reference_back_office

Field used for Embedded entity (store there your ERP PK)

string

Max length: 50

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Request Formats :

application/json, text/json

Sample:
{
  "id": "a73e9102-6882-4dfe-a69f-245c886817ce",
  "user_id": "fab6ec45-0e22-44b8-b103-3a1c5ef0ea82",
  "user_code": "sample string 3",
  "user": {
    "id": "94708594-571b-4b86-8fc9-954874bd0669",
    "db_language_id": "5dcefdf8-b09c-4ea4-9eee-f59e4ba34570",
    "username": "sample string 3",
    "firstname": "sample string 4",
    "lastname": "sample string 5",
    "code": "sample string 6",
    "archived": true,
    "disabled": true,
    "emergency_contact": "sample string 9",
    "bankaccount": "sample string 10",
    "social_security": "sample string 11",
    "place_of_birth": "sample string 12",
    "nationality": "sample string 13",
    "functions": "sample string 14",
    "birthdate": "2026-11-07T11:10:04.9505987+00:00",
    "skype": "sample string 16",
    "notes": "sample string 17",
    "sales_organization_id": "f8071f92-47cc-4091-8d86-f1b230e18f5f",
    "sales_organization": {
      "id": "9d52b06d-900f-45f8-8e09-06aa778d6343",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "fc514292-c079-4d8f-b548-3e11029617df",
      "db_currency_id": "03516453-aa2b-4c1e-a3d9-6451e0dee688",
      "db_language_id": "d70f1d56-f119-4ab4-ae26-5e10684bcada",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T11:10:04.9505987+00:00"
    },
    "sales_organization_code": "sample string 19",
    "is_team_leader": true,
    "team_leader_user_id": "8094440e-549d-419a-88dd-0555ed2d00a9",
    "email": "sample string 22",
    "phone": "sample string 23",
    "fax": "sample string 24",
    "mobile": "sample string 25",
    "private_email": "sample string 26",
    "private_phone": "sample string 27",
    "private_fax": "sample string 28",
    "private_mobile": "sample string 29",
    "private_street": "sample string 30",
    "private_street_number": "sample string 31",
    "private_city": "sample string 32",
    "private_zip": "sample string 33",
    "private_db_country_id": "8d34d229-e5d2-41f4-ba83-af9f0bd41241",
    "private_db_country_code": "sample string 35",
    "modified_dateutc": "2026-11-07T11:10:04.9505987+00:00",
    "allow_hero_app": true,
    "allow_sales_app": true,
    "allow_service_app": true,
    "user_group_id": "fcff5d52-43ad-4c28-bc40-cd135c7ba231"
  },
  "skill_id": "335313de-bcaa-432d-9ec7-5aa9bb512395",
  "skill_code": "sample string 5",
  "skill": {
    "id": "76c8f225-3e55-4ed5-b302-6557b261f00c",
    "name": "sample string 2",
    "description": "sample string 3",
    "code": "sample string 4",
    "sales_organization_id": "93c44d57-5b9b-47e2-aad0-07fa8549d862",
    "sales_organization_code": "sample string 6",
    "sales_organization": {
      "id": "9d52b06d-900f-45f8-8e09-06aa778d6343",
      "code": "sample string 2",
      "name": "sample string 3",
      "description": "sample string 4",
      "db_country_id": "fc514292-c079-4d8f-b548-3e11029617df",
      "db_currency_id": "03516453-aa2b-4c1e-a3d9-6451e0dee688",
      "db_language_id": "d70f1d56-f119-4ab4-ae26-5e10684bcada",
      "accountancy_code": "sample string 8",
      "archived": true,
      "default_unit_of_measure_system_type": "sample string 10",
      "street": "sample string 11",
      "street2": "sample string 12",
      "street_number": "sample string 13",
      "zip": "sample string 14",
      "city": "sample string 15",
      "email": "sample string 16",
      "phone": "sample string 17",
      "fax": "sample string 18",
      "url": "sample string 19",
      "vat_reg_code": "sample string 20",
      "modified_dateutc": "2026-11-07T11:10:04.9505987+00:00"
    },
    "modified_dateutc": "2026-11-07T11:10:04.9505987+00:00"
  },
  "reference_back_office": "sample string 6",
  "modified_dateutc": "2026-11-07T11:10:04.9505987+00:00"
}

Response Information

Resource Description :

IHttpActionResult

None.

Response Formats

application/json, text/json

Sample:

Sample not available.